New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

MatrixTransport raises an exception when fetching an invalid user displayname #2233

Closed
CosminNechifor opened this Issue Aug 23, 2018 · 4 comments

Comments

Projects
None yet
4 participants
@CosminNechifor
Collaborator

CosminNechifor commented Aug 23, 2018

Problem Definition

When I try to open my raiden node I get the following error which causes the node to crash:

(raiden) ➜  raiden git:(master) ✗ raiden --keystore-path  ~/.ethereum/testnet/keystore --log-config 'raiden:debug'
You are connected to the 'ropsten' network and the DB path is: /home/cosmin/.raiden/netid_3/8a0ce8bd/v0_log.db
2018-08-23 10:27:02 [debug    ] Matrix homeserver RTT times    [raiden.network.transport.matrix] rtt_times=[('https://transport03.raiden.network', 0.022428666666666666), ('https://transport02.raiden.network', 0.1262906666666667)]
2018-08-23 10:27:02 [info     ] Automatically selecting matrix homeserver based on RTT [raiden.network.transport.matrix] homeserver=https://transport03.raiden.network rtt=0.022428666666666666
2018-08-23 10:27:02 [info     ] Lock 140460512503568 acquired on /home/cosmin/.raiden/netid_3/8a0ce8bd/.lock [filelock] 
2018-08-23 10:27:02 [debug    ] Restoring from snapshot        [raiden.storage.wal] 
2018-08-23 10:27:02 [debug    ] Replaying state changes        [raiden.storage.wal] num_state_changes=10516
2018-08-23 10:30:00 [debug    ] Restored state from WAL        [raiden.raiden_service] last_restored_block=3894136
2018-08-23 10:30:02 [debug    ] starting at block number       [raiden.tasks] current_block=3894189
2018-08-23 10:30:02 [debug    ] STATE CHANGE                   [raiden.raiden_service] node=8a0ce8bd state_change=<Block 3894189>
2018-08-23 10:30:02 [debug    ] RAIDEN EVENT                   [raiden.raiden_service] node=8a0ce8bd raiden_event=<ContractSendSecretReveal secrethash:b"\xfc\x82aI\xf1\x01t1\xe2sH\x03w\x0b\x9e6^i\x87z\xe4\xc6'\xf3F19\x06\xf7\x8dsx">
2018-08-23 10:30:02 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
2018-08-23 10:30:02 [debug    ] Processing pending transactions [raiden.raiden_service] num_pending_transactions=12
2018-08-23 10:30:02 [info     ] settle called                  [raiden.network.proxies.token_network] locked_amount=0 locksroot=0x0000000000000000000000000000000000000000000000000000000000000000 node=8a0ce8bd partner=92746ece partner_locked_amount=0 partner_locksroot=0x0000000000000000000000000000000000000000000000000000000000000000 partner_transferred_amount=0 token_network=9fe1f19d transferred_amount=0
--- Logging error ---
Traceback (most recent call last):
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 343, in on_raiden_event
    handle_contract_send_channelsettle(raiden, event)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 307, in handle_contract_send_channelsettle
    second_locksroot,
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/proxies/payment_channel.py", line 201, in settle
    partner_locksroot=partner_locksroot,
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/proxies/token_network.py", line 912, in settle
    raise RaidenRecoverableError('local state can not be used to call settle')
raiden.exceptions.RaidenRecoverableError: local state can not be used to call settle

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/logging/__init__.py", line 992, in emit
    msg = self.format(record)
  File "/usr/lib/python3.6/logging/__init__.py", line 838, in format
    return fmt.format(record)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 459, in format
    record.msg = self.processor(logger, meth_name, ed)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/log_config.py", line 24, in wrapper
    result = first_func(*args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/dev.py", line 189, in __call__
    event = _pad(event, self._pad_event) + self._styles.reset + " "
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/dev.py", line 35, in _pad
    missing = l - len(s)
TypeError: object of type 'RaidenRecoverableError' has no len()
Call stack:
  File "/home/cosmin/.virtualenvs/raiden/bin/raiden", line 11, in <module>
    load_entry_point('raiden', 'console_scripts', 'raiden')()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/__main__.py", line 11, in main
    run(auto_envvar_prefix='RAIDEN')  # pylint: disable=no-value-for-parameter
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 722, in __call__
    return self.main(*args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 697, in main
    rv = self.invoke(ctx)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 1043, in invoke
    return Command.invoke(self, ctx)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 895, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 535, in invoke
    return callback(*args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/decorators.py", line 17, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 1064, in run
    NodeRunner(kwargs, ctx).run()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 923, in run
    app = self._run_app()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 941, in _run_app
    app_ = run_app(**self._options)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 765, in run_app
    raiden_app.start()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/app.py", line 132, in start
    self.raiden.start()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_service.py", line 310, in start
    self.start_async().wait()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_service.py", line 288, in start_async
    on_raiden_event(self, transaction)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 349, in on_raiden_event
    log.error(e)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 81, in error
    return self._proxy_to_logger("error", event, *args, **kw)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 119, in _proxy_to_logger
    **event_kw)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/_base.py", line 177, in _proxy_to_logger
    return getattr(self._logger, method_name)(*args, **kw)
Message: {'event': RaidenRecoverableError('local state can not be used to call settle',), 'logger': 'raiden.raiden_event_handler', 'level': 'error', 'timestamp': '2018-08-23 10:30:03'}
Arguments: ()
--- Logging error ---
Traceback (most recent call last):
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 343, in on_raiden_event
    handle_contract_send_channelsettle(raiden, event)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 307, in handle_contract_send_channelsettle
    second_locksroot,
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/proxies/payment_channel.py", line 201, in settle
    partner_locksroot=partner_locksroot,
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/proxies/token_network.py", line 912, in settle
    raise RaidenRecoverableError('local state can not be used to call settle')
raiden.exceptions.RaidenRecoverableError: local state can not be used to call settle

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/logging/handlers.py", line 71, in emit
    if self.shouldRollover(record):
  File "/usr/lib/python3.6/logging/handlers.py", line 187, in shouldRollover
    msg = "%s\n" % self.format(record)
  File "/usr/lib/python3.6/logging/__init__.py", line 838, in format
    return fmt.format(record)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 459, in format
    record.msg = self.processor(logger, meth_name, ed)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/log_config.py", line 24, in wrapper
    result = first_func(*args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/dev.py", line 189, in __call__
    event = _pad(event, self._pad_event) + self._styles.reset + " "
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/dev.py", line 35, in _pad
    missing = l - len(s)
TypeError: object of type 'RaidenRecoverableError' has no len()
Call stack:
  File "/home/cosmin/.virtualenvs/raiden/bin/raiden", line 11, in <module>
    load_entry_point('raiden', 'console_scripts', 'raiden')()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/__main__.py", line 11, in main
    run(auto_envvar_prefix='RAIDEN')  # pylint: disable=no-value-for-parameter
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 722, in __call__
    return self.main(*args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 697, in main
    rv = self.invoke(ctx)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 1043, in invoke
    return Command.invoke(self, ctx)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 895, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 535, in invoke
    return callback(*args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/decorators.py", line 17, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 1064, in run
    NodeRunner(kwargs, ctx).run()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 923, in run
    app = self._run_app()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 941, in _run_app
    app_ = run_app(**self._options)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 765, in run_app
    raiden_app.start()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/app.py", line 132, in start
    self.raiden.start()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_service.py", line 310, in start
    self.start_async().wait()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_service.py", line 288, in start_async
    on_raiden_event(self, transaction)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 349, in on_raiden_event
    log.error(e)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 81, in error
    return self._proxy_to_logger("error", event, *args, **kw)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 119, in _proxy_to_logger
    **event_kw)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/_base.py", line 177, in _proxy_to_logger
    return getattr(self._logger, method_name)(*args, **kw)
Message: {'event': RaidenRecoverableError('local state can not be used to call settle',), 'logger': 'raiden.raiden_event_handler', 'level': 'error', 'timestamp': '2018-08-23 10:30:03'}
Arguments: ()
2018-08-23 10:30:03 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
2018-08-23 10:30:03 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
2018-08-23 10:30:03 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
2018-08-23 10:30:03 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
2018-08-23 10:30:03 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
2018-08-23 10:30:03 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
2018-08-23 10:30:03 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
2018-08-23 10:30:03 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
2018-08-23 10:30:03 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
2018-08-23 10:30:03 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
2018-08-23 10:30:03 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
2018-08-23 10:30:04 [debug    ] new block                      [raiden.tasks] number=3894190
2018-08-23 10:30:04 [debug    ] STATE CHANGE                   [raiden.raiden_service] node=8a0ce8bd state_change=<Block 3894190>
2018-08-23 10:30:04 [debug    ] RAIDEN EVENT                   [raiden.raiden_service] node=8a0ce8bd raiden_event=<ContractSendSecretReveal secrethash:b"\xfc\x82aI\xf1\x01t1\xe2sH\x03w\x0b\x9e6^i\x87z\xe4\xc6'\xf3F19\x06\xf7\x8dsx">
2018-08-23 10:30:04 [info     ] secret 0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378 already registered. [raiden.network.proxies.secret_registry] contract=3de6b821 node=8a0ce8bd secrethash=0xfc826149f1017431e2734803770b9e365e69877ae4c627f346313906f78d7378
Traceback (most recent call last):
  File "src/gevent/greenlet.py", line 716, in gevent._greenlet.Greenlet.run
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/transport/matrix.py", line 733, in _handle_presence_change
    address = self._validate_userid_signature(user)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/cachetools/__init__.py", line 87, in wrapper
    v = method(self, *args, **kwargs)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/transport/matrix.py", line 874, in _validate_userid_signature
    displayname = user.get_display_name()
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/matrix_client/user.py", line 36, in get_display_name
    self.displayname = self.api.get_display_name(self.user_id)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/matrix_client/api.py", line 705, in get_display_name
    content = self._send("GET", "/profile/%s/displayname" % user_id)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/raiden_libs/network/matrix/client.py", line 72, in _send
    return super()._send(method, path, *args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/matrix_client/api.py", line 681, in _send
    errordata = json.loads(response.json()['error'])
  File "/usr/lib/python3.6/json/__init__.py", line 354, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.6/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.6/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
2018-08-23T10:30:05Z <Greenlet "Greenlet-0" at 0x7fbf81ee9648: <bound method MatrixTransport._handle_presence_change of <raiden.network.transport.matrix.MatrixTransport object at 0x7fbf841d6828>>({'content': {'last_active_ago': 719578507, 'presen)> failed with JSONDecodeError

Traceback (most recent call last):
  File "src/gevent/greenlet.py", line 716, in gevent._greenlet.Greenlet.run
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/transport/matrix.py", line 733, in _handle_presence_change
    address = self._validate_userid_signature(user)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/cachetools/__init__.py", line 87, in wrapper
    v = method(self, *args, **kwargs)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/transport/matrix.py", line 874, in _validate_userid_signature
    displayname = user.get_display_name()
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/matrix_client/user.py", line 36, in get_display_name
    self.displayname = self.api.get_display_name(self.user_id)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/matrix_client/api.py", line 705, in get_display_name
    content = self._send("GET", "/profile/%s/displayname" % user_id)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/raiden_libs/network/matrix/client.py", line 72, in _send
    return super()._send(method, path, *args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/matrix_client/api.py", line 681, in _send
    errordata = json.loads(response.json()['error'])
  File "/usr/lib/python3.6/json/__init__.py", line 354, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.6/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.6/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
2018-08-23T10:30:05Z <Greenlet "Greenlet-0" at 0x7fbf81ee9948: <bound method MatrixTransport._handle_presence_change of <raiden.network.transport.matrix.MatrixTransport object at 0x7fbf841d6828>>({'content': {'currently_active': True, 'last_activ)> failed with JSONDecodeError

2018-08-23 10:30:05 [info     ] LOGIN                          [raiden.network.transport.matrix] current_user=@0x8a0ce8bda200d64d858957080bf7eddd3371135f:transport03.raiden.network homeserver=transport03.raiden.network server_url=https://transport03.raiden.network username=0x8a0ce8bda200d64d858957080bf7eddd3371135f
Traceback (most recent call last):
  File "/home/cosmin/.virtualenvs/raiden/bin/raiden", line 11, in <module>
    load_entry_point('raiden', 'console_scripts', 'raiden')()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/__main__.py", line 11, in main
    run(auto_envvar_prefix='RAIDEN')  # pylint: disable=no-value-for-parameter
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 722, in __call__
    return self.main(*args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 697, in main
    rv = self.invoke(ctx)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 1043, in invoke
    return Command.invoke(self, ctx)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 895, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 535, in invoke
    return callback(*args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/decorators.py", line 17, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 1064, in run
    NodeRunner(kwargs, ctx).run()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 923, in run
    app = self._run_app()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 941, in _run_app
    app_ = run_app(**self._options)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 765, in run_app
    raiden_app.start()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/app.py", line 132, in start
    self.raiden.start()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_service.py", line 310, in start
    self.start_async().wait()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_service.py", line 293, in start_async
    self.transport.start(self, queueids_to_queues)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/transport/matrix.py", line 197, in start
    self._join_discovery_room()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/transport/matrix.py", line 361, in _join_discovery_room
    discovery_room = self._client.join_room(discovery_room_alias_full)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/matrix_client/client.py", line 320, in join_room
    response = self.api.join_room(room_id_or_alias)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/matrix_client/api.py", line 195, in join_room
    return self._send("POST", path)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/raiden_libs/network/matrix/client.py", line 72, in _send
    return super()._send(method, path, *args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/matrix_client/api.py", line 681, in _send
    errordata = json.loads(response.json()['error'])
  File "/usr/lib/python3.6/json/__init__.py", line 354, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.6/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.6/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

System Description

Linux cosmin-Lenovo-ideapad-100-15IBD 4.15.0-32-generic #35-Ubuntu SMP Fri Aug 10 17:58:07 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
/usr/bin/solc
solc, the solidity compiler commandline interface
Version: 0.4.24+commit.e67f0147.Linux.g++
/usr/bin/geth
Geth
Version: 1.8.12-stable
Git Commit: 37685930d953bcbe023f9bc65b135a8d8b8f1488
Architecture: amd64
Protocol Versions: [63 62]
Network Id: 1
Go Version: go1.10.1
Operating System: linux
GOPATH=
GOROOT=/usr/lib/go-1.10
/home/cosmin/.virtualenvs/raiden/bin/raiden
{
  "raiden": "0.5.2.dev37+gc18c896c",
  "python_implementation": "CPython",
  "python_version": "3.6.5",
  "system": "Linux 64bit_ELF 4.15.0-32-generic x86_64",
  "distribution": "source"
}
c18c896c7b070f4ecbbd09597623836f8a606787

@CosminNechifor CosminNechifor added this to the Red Eyes Testnet 6 milestone Aug 23, 2018

@andrevmatos andrevmatos self-assigned this Aug 23, 2018

@andrevmatos andrevmatos added the matrix label Aug 23, 2018

@czepluch

This comment has been minimized.

Collaborator

czepluch commented Aug 23, 2018

Can verify that I get the same on latest master. Also after removing .raiden.
Here's my log just in case. I only get the Greenlet errors though.
https://gist.github.com/czepluch/26826e8fc84f32da244cdb52c9959ec0

andrevmatos added a commit to andrevmatos/raiden that referenced this issue Aug 23, 2018

@hackaugusto

This comment has been minimized.

Collaborator

hackaugusto commented Aug 23, 2018

Traceback (most recent call last):
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 343, in on_raiden_event
    handle_contract_send_channelsettle(raiden, event)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_event_handler.py", line 307, in handle_contract_send_channelsettle
    second_locksroot,
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/proxies/payment_channel.py", line 201, in settle
    partner_locksroot=partner_locksroot,
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/proxies/token_network.py", line 912, in settle
    raise RaidenRecoverableError('local state can not be used to call settle')
raiden.exceptions.RaidenRecoverableError: local state can not be used to call settle

This will be fixed by #2237

@hackaugusto

This comment has been minimized.

Collaborator

hackaugusto commented Aug 23, 2018

Traceback (most recent call last):
  File "/usr/lib/python3.6/logging/__init__.py", line 992, in emit
    msg = self.format(record)
  File "/usr/lib/python3.6/logging/__init__.py", line 838, in format
    return fmt.format(record)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/stdlib.py", line 459, in format
    record.msg = self.processor(logger, meth_name, ed)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/log_config.py", line 24, in wrapper
    result = first_func(*args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/dev.py", line 189, in __call__
    event = _pad(event, self._pad_event) + self._styles.reset + " "
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/structlog/dev.py", line 35, in _pad
    missing = l - len(s)
TypeError: object of type 'RaidenRecoverableError' has no len()

will be fixed by: #2244

@hackaugusto

This comment has been minimized.

Collaborator

hackaugusto commented Aug 23, 2018

Traceback (most recent call last):
  File "/home/cosmin/.virtualenvs/raiden/bin/raiden", line 11, in <module>
    load_entry_point('raiden', 'console_scripts', 'raiden')()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/__main__.py", line 11, in main
    run(auto_envvar_prefix='RAIDEN')  # pylint: disable=no-value-for-parameter
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 722, in __call__
    return self.main(*args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 697, in main
    rv = self.invoke(ctx)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 1043, in invoke
    return Command.invoke(self, ctx)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 895, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/core.py", line 535, in invoke
    return callback(*args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/click/decorators.py", line 17, in new_func
    return f(get_current_context(), *args, **kwargs)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 1064, in run
    NodeRunner(kwargs, ctx).run()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 923, in run
    app = self._run_app()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 941, in _run_app
    app_ = run_app(**self._options)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/ui/cli.py", line 765, in run_app
    raiden_app.start()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/app.py", line 132, in start
    self.raiden.start()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_service.py", line 310, in start
    self.start_async().wait()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/raiden_service.py", line 293, in start_async
    self.transport.start(self, queueids_to_queues)
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/transport/matrix.py", line 197, in start
    self._join_discovery_room()
  File "/home/cosmin/Documents/WORK/GITHUB/raiden/raiden/network/transport/matrix.py", line 361, in _join_discovery_room
    discovery_room = self._client.join_room(discovery_room_alias_full)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/matrix_client/client.py", line 320, in join_room
    response = self.api.join_room(room_id_or_alias)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/matrix_client/api.py", line 195, in join_room
    return self._send("POST", path)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/raiden_libs/network/matrix/client.py", line 72, in _send
    return super()._send(method, path, *args, **kwargs)
  File "/home/cosmin/.virtualenvs/raiden/lib/python3.6/site-packages/matrix_client/api.py", line 681, in _send
    errordata = json.loads(response.json()['error'])
  File "/usr/lib/python3.6/json/__init__.py", line 354, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python3.6/json/decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.6/json/decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

This one is weird, @andrevmatos could it be matrix returning invalid json data?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment